# Kudosity Documentation > Documentation for Kudosity This file lists one part of the documentation. The full index is at https://developers.kudosity.com/llms.txt. ## API Reference: API Overview - [Which API Should I Use?](https://developers.kudosity.com/reference/about-our-apis.md) - [Authentication](https://developers.kudosity.com/reference/authentication.md) - [Status Codes](https://developers.kudosity.com/reference/status-codes.md) - [Webhooks](https://developers.kudosity.com/reference/webhooks-1.md) - [Rate Limiting](https://developers.kudosity.com/reference/rate-limiting.md) - [Timestamps](https://developers.kudosity.com/reference/timestamps.md) - [Pagination](https://developers.kudosity.com/reference/pagination.md) - [Postman](https://developers.kudosity.com/reference/postman.md) - [Using JSON and XML](https://developers.kudosity.com/reference/requests.md) - [Error Registry](https://developers.kudosity.com/reference/errors.md) ## API Reference: Transmit SMS API - SMS - [Send SMS](https://developers.kudosity.com/reference/post_send-sms-json.md): You can elect to pass us the recipient numbers from your database each time you make a call, or you can elect to store recipient data in a contact list and submit only the list_id to trigger the… - [Cancel SMS](https://developers.kudosity.com/reference/post_cancel-sms-json.md): Messages scheduled can be cancelled using the message ID. Return a JSON or XML response by adding the appropriate extension to the base url (See examples). - [Format Number](https://developers.kudosity.com/reference/post_format-number-json.md): In the majority of cases, mobile phone number data coming from external systems is not ideal for SMS delivery. For highest reliability and to be able to route correctly a mobile number should be… - [Get Responses by MessageID, Keyword or Mobile](https://developers.kudosity.com/reference/post_get-sms-responses-json.md): Responses to your outgoing messages can be picked up in a few different ways. Your DLR Callback URL in your account settings, is the default URL we post incoming DLR's to. You can also set the DLR… - [Get Responses by Time Frame](https://developers.kudosity.com/reference/get_get-user-sms-responses-json.md): Gets the messsages from a defined timeframe. ## Pagination This endpoint supports pagination using the page/max pattern: **Parameters:** - `page`: Page number starting from 1 (default: 1) - `max`:… - Contacts & Lists - [Bulk Add Contacts from CSV File](https://developers.kudosity.com/reference/post_add-contacts-bulk-json.md): Add bulk contacts to a list from a file The add-contacts-bulk request can be used to add a CSV file of contacts to an existing list. It can also be used to create a new list and upload a CSV file of… - [Add List](https://developers.kudosity.com/reference/post_add-list-json.md): Create New Contact List - [Add Field to List](https://developers.kudosity.com/reference/post_add-field-to-list-json.md): Add or update custom fields on an existing list - [Remove List](https://developers.kudosity.com/reference/post_remove-list-json.md): Delete a list and its contacts - [Add Contact to List](https://developers.kudosity.com/reference/post_add-to-list-json.md): Adds a new contact to a list If a contact is added that already exists it will be ignored, not updated. - [Update Contact](https://developers.kudosity.com/reference/post_edit-list-member-json.md): Edit a contact that exists on a list Used for adding new or updated custom data to a contact on a list. - [Remove Contact](https://developers.kudosity.com/reference/post_delete-from-list-json.md): Delete contact from one or all lists - [Opt Out/Unsubscribe Contact](https://developers.kudosity.com/reference/post_optout-list-member-json.md): Opt Out List Member Unsubscribe contact from one or all lists If sending marketing by law you must enable an unsubscribe method. [Anti-Spam… - [Check Progress Of Import](https://developers.kudosity.com/reference/post_add-contacts-bulk-progress-json.md): For large lists in excess of 50,000 contacts, it can take some time to process. This request will let you see the progress of the import. - Reporting - [Get Message/Campaign Information](https://developers.kudosity.com/reference/post_get-sms-json.md): This will return information about the campaign, including the message, list etc. It will not however return individual messages with populated variables or tracking links. To retrieve final… - [Get SMS Delivery Status](https://developers.kudosity.com/reference/post_get-sms-delivery-status-json.md): Retrieves detailed information about messages sent to a specific recipient. This included full message content including populated variables. - [Get SMS Sent Count](https://developers.kudosity.com/reference/post_get-sms-sent-count-json.md): Retrieves total number of SMS sent in a given timeframe - [Get Activity Report](https://developers.kudosity.com/reference/post_get-user-sms-sent-json.md): Retrieve information on messages sent during a period of time - [Get SMS Sent to Account](https://developers.kudosity.com/reference/get_get-contact-sms-stats-json.md): This will return paginated information regarding individual messages sent to provided mobile number. - [Get Message/Campaign Report](https://developers.kudosity.com/reference/post_get-sms-stats-json.md): Get the delivery status of a message or campaign that you have sent. Count of different reporting stats we collect. Delivery reports are marked using a DLR (Delivery Receipt) or Acknowledgement (ACK)… - [Get Message/Campaign Recipients](https://developers.kudosity.com/reference/post_get-sms-sent-json.md): Get information about a message send and it's recipients This will return paginated information regarding individual recipients on a campaign or message send. - [Get Message Report](https://developers.kudosity.com/reference/post_get-message-report-json.md): Retrieve information on messages sent during a period of time It will also return all custom data fields associated to contacts in the list - [Get Information About A List](https://developers.kudosity.com/reference/post_get-list-json.md): Get detailed information about a list, return custom fields and its contacts. This will return paginated information regarding individual contacts on a list and their data. - [Get Information About All Lists](https://developers.kudosity.com/reference/get_get-lists-json.md): Get information about all lists in your account This will return metadata on all your lists ## Pagination This endpoint supports pagination using the page/max pattern: **Parameters:** - `page`:… - [Get Contact Information](https://developers.kudosity.com/reference/post_get-contact-json.md): Get information about a contact on a list - Numbers - [Add Dedicated Virtual Number](https://developers.kudosity.com/reference/post_lease-number-json.md): Lease Number Dedicated virtual numbers are used to receive MO (Mobile Originated) messages. They also make sure that all of your messages are sent from a number that is always the same. Dedicated… - [Get Numbers](https://developers.kudosity.com/reference/get_get-numbers-json.md): Edit inbound options for a dedicated virtual number. **Get a list of numbers leased by you or available to be leased.** Dedicated virtual numbers are used to receive MO (Mobile Originated)… - [Get Number Information](https://developers.kudosity.com/reference/post_get-number-json.md): Get detailed information about a number you have leased. - [Edit Number Options](https://developers.kudosity.com/reference/post_edit-number-options-json.md): Edit inbound options for a dedicated virtual number. These options adjust behaviour for messages that are sent to this number. - Email SMS - [Add Email](https://developers.kudosity.com/reference/post_add-email-json.md): Authorise Email Address - [Delete Email](https://developers.kudosity.com/reference/post_delete-email-json.md): Remove an email address from the Email to SMS authorised list. - Keywords - [Add Keyword](https://developers.kudosity.com/reference/post_add-keyword-json.md): Add New Keyword - [Edit Keyword](https://developers.kudosity.com/reference/post_edit-keyword-json.md): Edit an existing keyword. - [Get Keywords](https://developers.kudosity.com/reference/post_get-keywords-json.md): Get a list of existing keywords. - Account - [Get Balance](https://developers.kudosity.com/reference/get_get-balance-json.md): Account information. ## API Reference: Transmit Message API - MMS - [About MMS](https://developers.kudosity.com/reference/about-mms.md) - [Send MMS](https://developers.kudosity.com/reference/post_v2-mms.md): The Send MMS endpoint allows you to send multimedia messages (MMS) to recipients. - [Get MMS](https://developers.kudosity.com/reference/get_v2-mms-id.md): This request retrieves the information of an existing sent MMS message. You only need to supply the unique message id that was returned upon creation. - SMS - [Get SMS](https://developers.kudosity.com/reference/get_v2-sms-id.md): Retrieves information about an existing SMS message. You only need to supply the unique message id that was returned upon message creation. - [List SMS](https://developers.kudosity.com/reference/get_v2-sms.md): Retrieves a list of SMS messages. You can limit the number of messages returned and filter by properties listed in the parameters section. - [Send SMS](https://developers.kudosity.com/reference/post_v2-sms.md): Send a message from sender to recipient using the values shown in the parameters section. - Webhook - [About Webhooks](https://developers.kudosity.com/reference/about-webhooks.md) - [Create Webhook](https://developers.kudosity.com/reference/post_v2-webhook.md): We use webhooks to let your application know when events happen, such as receiving an SMS message. When the event occurs, the system makes an HTTP request (usually a POST) to the URL you configured… - [Retrieve all webhooks](https://developers.kudosity.com/reference/get_v2-webhook.md) - [Get a webhook by ID](https://developers.kudosity.com/reference/get_v2-webhook-id.md) - [Update Webhook](https://developers.kudosity.com/reference/put_v2-webhook-id.md): Updates the webhook. Any fields not provided in the request body will reset to their default values. Send the request body with a `Content-Type` of `application/json`. Parameters such as… - [Delete Webhook](https://developers.kudosity.com/reference/delete_v2-webhook-id.md) - WhatsApp - [Send WhatsApp message](https://developers.kudosity.com/reference/post_v2-whatsapp-messages.md): Sends a single templated message to a single recipient. Templates need to be registered and pre-approved by WhatsApp. **Choosing the content type for a template:** - `template` fills the template's… - [Get WhatsApp message](https://developers.kudosity.com/reference/get_v2-whatsapp-messages-id.md): Retrieves details of a previously sent WhatsApp message by its unique identifier. Returns message content, delivery status, and metadata. - [List WhatsApp messages](https://developers.kudosity.com/reference/get_v2-whatsapp-messages.md): Retrieves a list of WhatsApp messages for your account with flexible date filtering. Messages are returned in reverse chronological order (newest first). **Date Filtering:** - Preset ranges… - [List WhatsApp templates](https://developers.kudosity.com/reference/get_v2-whatsapp-templates.md): Retrieve your account's WhatsApp templates, including their content, approval status, category and language. Templates are returned in reverse chronological order (newest first). **Filtering:** -… - RCS - [Send RCS message](https://developers.kudosity.com/reference/post_v2-rcs-messages.md): Send rich, interactive messages to a recipient through your branded RCS agent. Share updates with text, images or video, showcase products in rich cards and swipeable carousels, and help customers… - [Get RCS message](https://developers.kudosity.com/reference/get_v2-rcs-messages-id.md): Retrieves details of a previously sent RCS message by its unique identifier. Returns message content, delivery status, and metadata. - [List RCS messages](https://developers.kudosity.com/reference/get_v2-rcs-messages.md): Retrieves a list of RCS messages for your account with flexible date filtering. Messages are returned in reverse chronological order (newest first). **Date Filtering:** - Preset ranges (last_week,… - [Check RCS capability for phone numbers](https://developers.kudosity.com/reference/post_v2-rcs-capabilities.md): Synchronously checks whether a list of phone numbers can receive RCS from your sender. Use this **before** sending to decide between RCS and SMS fallback. Designed for routing-time lookups: small… - Senders - [Create a sender registration](https://developers.kudosity.com/reference/post_v2-senders-registrations.md): Creates a sender registration and sets `status` to `PENDING_APPROVAL`. - If you omit `account_id`, the API registers the sender for the authenticated account. - If you provide `account_id`, the… - [Request a verification code](https://developers.kudosity.com/reference/post_v2-senders-registrations-registration-id-verifications.md): Requests a verification code for a sender registration. This endpoint supports registrations with `type` = `PERSONAL_MOBILE_NUMBER` only. - The API delivers the code to the registered sender… - [Confirm a verification code](https://developers.kudosity.com/reference/post_v2-senders-registrations-registration-id-verifications-confirmation.md): Confirms a sender registration by submitting the verification code. On success, the verification `status` becomes `CONFIRMED` and the sender registration `status` becomes `VERIFIED`. If you exceed… - [Delete a sender by phone number](https://developers.kudosity.com/reference/delete_v2-senders-phone-numbers-phone-number.md): Deletes a sender phone number from the account. - If you omit `child_account_id`, the API deletes the sender from the authenticated account. - If you provide `child_account_id`, the API deletes… - [List sender registrations](https://developers.kudosity.com/reference/get_v2-senders-registrations.md): Returns a paginated list of sender registrations for the authenticated account. - If the account does not use parent/child accounts, the API returns registrations for the authenticated account.…